<div class="card">
  <div class="card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      Mensajes del Huesped <strong>{{ noFolio }}</strong>
    </div>
    <div class="btn-actions-pane-right">
      <button class="btn btn-primary btn-lg py-2 px-4" (click)="nuevoMsj()" *ngIf="!consulta || grabarMsjs">
        <i class="fa fa-plus mr-2"></i>Nuevo
      </button>
    </div>
  </div>
  <div class="card-body">
    <kendo-grid [data]="gridData" [selectable]="true" [resizable]="true" style="height:50vh;">
      <ng-container *ngIf="gridData.length !== 0">
        <kendo-grid-column field="mfecha" title="Fecha" [width]="115">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.mfecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="mhora" title="Hora" [width]="90">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.mhora | hour }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="mope" title="Operador" [width]="105"></kendo-grid-column>
        <kendo-grid-column field="mmensaje" title="Mensaje"></kendo-grid-column>
        <kendo-grid-column field="mentregado" title="Entregado" [width]="170">
          <ng-template kendoGridCellTemplate let-dataItem>
            <div class="mb-2 mr-2 badge badge-success" *ngIf="dataItem.mentregado">
              {{ dataItem.mentregado }}
            </div>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-command-column title="Acciones" width="130" *ngIf="!consulta || grabarMsjs">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-secondary" [disabled]="!entregar || dataItem.mentregado"
              (click)="entregarMsj(dataItem)"><i class="fa fa-paper-plane mr-2"></i>Entregar
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        No hay resultados para mostrar.
      </ng-template>
    </kendo-grid>
  </div>
</div>